<?php
/**
*
* @ DecodeTMT (PHP Decompiler)

* @	Version			:	1.0.0
* @	Author			:	Magd Almuntaser(TTMTT)
* @	Release on		:	02.20.2013
* @	Official site	:	www.liioiil.com
*
*/               

	class save_file {
		var $last_error = '';
		var $last_error_description = '';
		var $saved_filename = '';
		var $status = false;

		function save_file($filename, $save_path, $save_name = '') {
			global $phrases;
			global $settings;

			$this->last_error_description = '';
			$this->saved_filename = '';
			$this->status = false;

			if ($settings['uploader']) {
				if (!file_exists( $save_path )) {
					$this->last_error_description = iif( $phrases['err_wrong_uploader_folder'], $phrases['err_wrong_uploader_folder'], 'Invalid Uplaod Folder' );
					$this->status = false;
					return null;
				}

				$save_name = iif( $save_name, $save_name, basename( urldecode( $filename ) ) );
				$imtype = file_extension( $save_name );
				$save_name = convert2en( $save_name );
				$save_name = strtolower( $save_name );
				$save_name = str_replace( ' ', '_', $save_name );

				while (file_exists( CWD . '/' . $save_path . '/' . $save_name )) {
					$save_name = str_replace( '' . '.' . $imtype, '', $save_name ) . '_' . rand( 0, 999 ) . ( '' . '.' . $imtype );
				}


				if (( ( strchr( $filename, 'http://' ) || strchr( $filename, 'https://' ) ) || strchr( $filename, 'ftp://' ) )) {
					if (function_exists( 'curl_init' )) {
						if ($this->curl_check_url( $filename )) {
							$ch = curl_init(  );
							curl_setopt( $ch, CURLOPT_URL, $filename );
							curl_setopt( $ch, CURLOPT_HEADER, 0 );
							curl_setopt( $ch, CURLOPT_FOLLOWLOCATION, 1 );
							curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
							curl_setopt( $ch, CURLOPT_USERAGENT, 'ALLOMANI PHP AGENT v' . phpversion(  ) );
							$content = curl_exec( $ch );
							curl_close( $ch );
						} else {
							$this->last_error_description = str_replace( '{url}', $filename, iif( $phrases['err_url_x_invalid'], $phrases['err_url_x_invalid'], 'URL {url} is Invalid' ) );
							$this->status = false;
						}
					} else {
						if (ini_get( 'allow_url_fopen' ) == 0) {
							$this->last_error_description = iif( $phrases['cp_url_fopen_disabled_msg'], $phrases['cp_url_fopen_disabled_msg'], 'url fopen is disabled' );
							$this->status = false;
						} else {
							@ini_set( 'user_agent', 'PHP' );
							

							if (!$handle = @fopen( $filename, 'rb' )) {
								$this->last_error_description = str_replace( '{url}', $filename, iif( $phrases['err_url_x_invalid'], $phrases['err_url_x_invalid'], 'URL {url} is Invalid' ) );
								$this->status = false;
							} else {
								while (!feof( $handle )) {
									$content .= fread( $handle, 8192 );
								}

								@fclose( $handle );
							}
						}
					}


					if ($content) {
						$fp = @fopen( CWD . '/' . $save_path . '/' . $save_name, 'wb' );

						if ($fp) {
							@fwrite( $fp, $content );
							@fclose( $fp );
							$this->saved_filename = $save_path . '/' . $save_name;
							$this->status = true;
							return null;
						}

						$this->last_error_description = iif( $phrases['err_wrong_uploader_folder'], $phrases['err_wrong_uploader_folder'], 'Invalid Uplaod Folder or none Writable' );
						$this->status = false;
						return null;
					}

					$this->last_error_description = iif( $this->last_error_description, $this->last_error_description, 'Unknown Error' );
					$this->status = false;
					return null;
				}

				@move_uploaded_file( $filename, CWD . '/' . $save_path . '/' . $save_name );

				if (file_exists( CWD . '/' . $save_path . '/' . $save_name )) {
					$this->saved_filename = $save_path . '/' . $save_name;
					$this->status = true;
					return null;
				}

				$this->last_error_description = iif( $this->last_error_description, $this->last_error_description, 'Unknown Error' );
				$this->status = false;
				return null;
			}

			$this->last_error_description = $settings['uploader_msg'];
			$this->status = false;
		}

		function curl_check_url($url) {
			$c = curl_init(  );
			curl_setopt( $c, CURLOPT_URL, $url );
			curl_setopt( $c, CURLOPT_HEADER, 1 );
			curl_setopt( $c, CURLOPT_NOBODY, 1 );
			curl_setopt( $c, CURLOPT_RETURNTRANSFER, 1 );
			curl_setopt( $c, CURLOPT_FRESH_CONNECT, 1 );

			if (!curl_exec( $c )) {
				return false;
			}

			$httpcode = curl_getinfo( $c, CURLINFO_HTTP_CODE );
			return $httpcode < 400;
		}
	}

?>