<?php
/**
*
* @ DecodeTMT (PHP Decompiler)

* @	Version			:	1.0.0
* @	Author			:	Magd Almuntaser(TTMTT)
* @	Release on		:	02.20.2013
* @	Official site	:	www.liioiil.com
*
*/               

	class thumbnail {
		var $img = null;

		function thumbnail($imgfile) {
			$this->img['format'] = preg_replace( '' . '/.*\.(.*)$/', '\1', $imgfile );
			$this->img['format'] = strtoupper( $this->img['format'] );

			if (( $this->img['format'] == 'JPG' || $this->img['format'] == 'JPEG' )) {
				$this->img['format'] = 'JPEG';
				$this->img['src'] = ImageCreateFromJPEG( $imgfile );
			} else {
				if ($this->img['format'] == 'PNG') {
					$this->img['format'] = 'PNG';
					$this->img['src'] = ImageCreateFromPNG( $imgfile );
				} else {
					if ($this->img['format'] == 'GIF') {
						$this->img['format'] = 'GIF';
						$this->img['src'] = ImageCreateFromGIF( $imgfile );
					} else {
						if ($this->img['format'] == 'WBMP') {
							$this->img['format'] = 'WBMP';
							$this->img['src'] = ImageCreateFromWBMP( $imgfile );
						} else {
							echo 'Not Supported File';
							exit(  );
						}
					}
				}
			}

			$this->img['width'] = @imagesx( $this->img['src'] );
			$this->img['height'] = @imagesy( $this->img['src'] );
			$this->img['quality'] = 75;
		}

		function size_fixed($width, $height) {
			$this->img['height_thumb'] = $height;
			$this->img['width_thumb'] = $width;
		}

		function size_height($size = 100) {
			$this->img['height_thumb'] = $size;
			$this->img['width_thumb'] = $this->img['height_thumb'] / $this->img['height'] * $this->img['width'];
		}

		function size_width($size = 100) {
			$this->img['width_thumb'] = $size;
			$this->img['height_thumb'] = $this->img['width_thumb'] / $this->img['width'] * $this->img['height'];
		}

		function size_auto($size = 100) {
			if ($this->img['height'] <= $this->img['width']) {
				$this->img['width_thumb'] = $size;
				$this->img['height_thumb'] = $this->img['width_thumb'] / $this->img['width'] * $this->img['height'];
				return null;
			}

			$this->img['height_thumb'] = $size;
			$this->img['width_thumb'] = $this->img['height_thumb'] / $this->img['height'] * $this->img['width'];
		}

		function jpeg_quality($quality = 75) {
			$this->img['quality'] = $quality;
		}

		function show() {
			@Header( 'Content-Type: image/' . $this->img['format'] );
			$this->img['des'] = ImageCreateTrueColor( $this->img['width_thumb'], $this->img['height_thumb'] );
			@imagecopyresized( $this->img['des'], $this->img['src'], 0, 0, 0, 0, $this->img['width_thumb'], $this->img['height_thumb'], $this->img['width'], $this->img['height'] );

			if (( $this->img['format'] == 'JPG' || $this->img['format'] == 'JPEG' )) {
				imageJPEG( $this->img['des'], '', $this->img['quality'] );
				return null;
			}


			if ($this->img['format'] == 'PNG') {
				imagePNG( $this->img['des'] );
				return null;
			}


			if ($this->img['format'] == 'GIF') {
				imageGIF( $this->img['des'] );
				return null;
			}


			if ($this->img['format'] == 'WBMP') {
				imageWBMP( $this->img['des'] );
			}

		}

		function save($save = '') {
			if (empty( $save )) {
				$save = strtolower( './thumb.' . $this->img['format'] );
			}

			$this->img['des'] = ImageCreateTrueColor( $this->img['width_thumb'], $this->img['height_thumb'] );
			@imagecopyresized( $this->img['des'], $this->img['src'], 0, 0, 0, 0, $this->img['width_thumb'], $this->img['height_thumb'], $this->img['width'], $this->img['height'] );

			if (( $this->img['format'] == 'JPG' || $this->img['format'] == 'JPEG' )) {
				imageJPEG( $this->img['des'], '' . $save, $this->img['quality'] );
				return null;
			}


			if ($this->img['format'] == 'PNG') {
				imagePNG( $this->img['des'], '' . $save );
				return null;
			}


			if ($this->img['format'] == 'GIF') {
				imageGIF( $this->img['des'], '' . $save );
				return null;
			}


			if ($this->img['format'] == 'WBMP') {
				imageWBMP( $this->img['des'], '' . $save );
			}

		}
	}

?>