<?
    function ioncube_event_handler($err_code, $params) {
        switch($err_code){
            case ION_CORRUPT_FILE : $msg = "An encoded file has been corrupted.";break;
            case ION_EXPIRED_FILE : $msg = "An encoded file has reached its expiry time.";break;
            case ION_NO_PERMISSIONS : $msg = "An encoded file has a server restriction and is used on a non-authorised system.";break; 
            case ION_CLOCK_SKEW : $msg = "Invalid server time , please correct server clock.";break; 
            case ION_UNTRUSTED_EXTENSION : $msg = "untrusted ioncube extension installed.";break; 
            case ION_LICENSE_NOT_FOUND : $msg = "The license file could not be found.";break;
            case ION_LICENSE_CORRUPT : $msg = "The license file has been corrupted.";break;
            case ION_LICENSE_EXPIRED : $msg = "License expired.";break;
            case ION_LICENSE_PROPERTY_INVALID : $msg = "Invalid license property.";break;
            case ION_LICENSE_HEADER_INVALID: $msg = "Invalid license header.";break;
            case ION_LICENSE_SERVER_INVALID : $msg = "The license has a server restriction and is used on a non-authorised system.";break;
            case ION_UNAUTH_INCLUDING_FILE: $msg = "The encoded file has been included by a file which is either non-encoded or has incorrect properties.";break;
            case ION_UNAUTH_INCLUDED_FILE    : $msg = "The encoded file has included a file which is either non-encoded or has incorrect properties.";break;
            case ION_UNAUTH_APPEND_PREPEND_FILE : $msg = "The php.ini has either the --auto-append-file or --auto-prepend-file setting enabled.";break;
        }

    ?>
    <!doctype html>
    <html>
        <head>
            <meta charset="utf-8" />
            <style>
                body {
                    font-family: 'Tahoma';
                }

                #content {
                    width:400px;
                    position:absolute;
                    left:50%;
                    top:50%;
                    margin:-100px 0 0 -250px;
                    border: 1px solid #ccc;
                    padding:20px;
                    text-align:center;
                }

                .failed {
                    color: #9D1A1D;
                    font-weight: bold;
                }
            </style>
            <title>Allomani</title>
        </head>
        <body>

            <div id="content">
                <img src="http://allomani.com/images/logo.gif" alt="Allomani" title="Allomani" />  
                <br />
                <span class="failed"><?=$msg;?></span>
            </div>

        </body>
    </html>
    <?
}