<?php
/**
*
* @ DecodeTMT (PHP Decompiler)

* @	Version			:	1.0.0
* @	Author			:	Magd Almuntaser(TTMTT)
* @	Release on		:	02.20.2013
* @	Official site	:	www.liioiil.com
*
*/               

	function get_template($name, $tfind = '', $treplace = '') {
		global $styleid;
		global $templates_cache;

		$name = strtolower( $name );

		if (isset( $templates_cache[$name] )) {
			$content = $templates_cache[$name];
		} else {
			$cached_template = cache_get( 'template:' . $styleid . ':' . $name );

			if ($cached_template === false) {
				$qr = db_query( 'select content from songs_templates where name like "' . $name . '" and cat="' . $styleid . '"' );

				if (db_num( $qr )) {
					$data = db_fetch( $qr );
					$content = $data['content'];
					$templates_cache[$name] = $data['content'];
					cache_set( 'template:' . $styleid . ':' . $name, $data['content'] );
					unset( $data );
				} else {
					$content = '<b>Error : </b> Template ' . htmlspecialchars( $name ) . ' Not Exists <br>';
				}
			} else {
				$content = $cached_template;
			}
		}

		return iif( ( ( $tfind || $tfind == '0' ) && ( $treplace || $treplace == '0' ) ), str_replace( $tfind, $treplace, $content ), $content );
	}

	function run_template($name, $tfind = '', $treplace = '') {
		$result = error_get_last(  );
		if (( $result !== false && $error = run_php( get_template( $name, $tfind = '', $treplace = '' ) ) )) {
			print '<p><b> error: </b> ' . $error['message'] . ' in <b>"' . $name . '" template</b> on line <b> ' . $error['line'] . '</b> </p>';
		}

	}

	function compile_template($template) {
		run_php( $template );
	}

	function templates_cache($names) {
		global $templates_cache;
		global $styleid;

		if (!is_array( $names )) {
			$names[] = $names;
		}

		$sql = 'select name,content from songs_templates where name IN (';
		$i = 0;

		while ($i < count( $names )) {
			$sql .= '"' . $names[$i] . '"' . iif( $i < count( $names ) - 1, ',' );
			++$i;
		}

		$sql .= ') and cat="' . $styleid . '"';
		$qr = db_query( $sql );

		while ($data = db_fetch( $qr )) {
			$template_name = strtolower( $data['name'] );
			$templates_cache[$template_name] = $data['content'];
		}

	}

	function print_style_selection() {
		global $styleid;

		$qr = db_query( 'select * from songs_templates_cats where selectable=1 order by id asc' );

		if (db_num( $qr )) {
			print '<select name=styleid onChange="window.location=\'index.php?styleid=\'+this.value;">';

			while ($data = db_fetch( $qr )) {
				print ( '<option value="' . $data['id'] . '"' ) . iif( $styleid == $data['id'], ' selected' ) . ( '' . '>' . $data['name'] . '</option>' );
			}

			print '</select>';
		}

	}

	function site_header() {
		global $theme;
		global $sitename;
		global $phrases;
		global $settings;
		global $keyword;
		global $action;
		global $id;
		global $op;
		global $cat;
		global $section_name;
		global $sec_name;
		global $meta_description;
		global $meta_keywords;
		global $title_sub;
		global $album_id;
		global $global_dir;

		set_meta_values(  );
		run_template( 'page_head' );

		if (COPYRIGHTS_TXT_ADMIN) {
			print '
<META name="Developer" content="www.allomani.com" >';
		}

		print '
</head>
';

		if (!$settings['enable_browsing']) {
			if (check_admin_login(  )) {
				print '<table width=100% dir="' . $global_dir . '"><tr><td><font color=red> ' . $phrases['site_closed_for_visitors'] . ' </font></td></tr></table>';
			}
		}

		run_template( 'header' );
	}

	function site_footer() {
		run_template( 'footer' );
	}

	function open_block($table_title = '', $template = '') {
		if (!$template) {
			$template = 'block';
			$block_template = get_template( 'block' );
		} else {
			$block_template = get_template( $template, '', '', 1 );
			$block_template = iif( $block_template, $block_template, get_template( 'block' ) );
		}

		$theme['block'] = explode( '{content}', $block_template );
		$table_content = $theme['block'][0];

		if ($table_title) {
			$table_content = str_replace( '{title}', '<center><span class=\'' . iif( $template == 'block', 'block_title title', iif( $template == 'table', 'table_title title', 'title' ) ) . ( '' . '\'>' . $table_title . '</span></center>' ), $table_content );
			$table_content = str_replace( '{new_line}', '<br>', $table_content );
		} else {
			$table_content = str_replace( '{title}', '', $table_content );
			$table_content = str_replace( '{new_line}', '', $table_content );
		}

		print $table_content;
	}

	function close_block($template = '') {
		if (!$template) {
			$block_template = get_template( 'block' );
		} else {
			$block_template = get_template( $template, '', '', 1 );
			$block_template = iif( $block_template, $block_template, get_template( 'block' ) );
		}

		$theme['block'] = explode( '{content}', $block_template );
		$table_content = $theme['block'][1];
		print $table_content;
	}

	function open_table($table_title = '', $template = '') {
		$template = iif( $template, $template, 'table' );
		open_block( $table_title, $template );
	}

	function close_table($template = '') {
		$template = iif( $template, $template, 'table' );
		close_block( $template );
	}

	require( CWD . '/includes/functions_meta.php' );
	$templates_cache = array(  );
?>