<?php
/**
*
* @ DecodeTMT (PHP Decompiler)

* @	Version			:	1.0.0
* @	Author			:	Magd Almuntaser(TTMTT)
* @	Release on		:	02.20.2013
* @	Official site	:	www.liioiil.com
*
*/               

	function cache_init() {
		global $cache_srv;
		global $cache_dir;

		$cache_dir = CWD . '/' . $cache_srv['filecache_dir'];

		if (!is_writable( $cache_dir . '/' )) {
			exit( 'Filecache Dir is not writable' );
		}

	}

	function cache_set($name, $data) {
		global $cache_srv;
		global $cache_dir;

		return file_put_contents( $cache_dir . '/' . md5( $cache_srv['prefix'] . $name ), serialize( $data ) );
	}

	function cache_get($name) {
		global $cache_srv;
		global $cache_dir;

		$filename = $cache_dir . '/' . md5( $cache_srv['prefix'] . $name );

		if (file_exists( $filename )) {
			$c_time = time(  ) - filemtime( $filename );

			if ($cache_srv['expire'] < $c_time) {
				return false;
			}

			return unserialize( file_get_contents( $filename ) );
		}

		return false;
	}

	function cache_del($name) {
		global $cache_srv;
		global $cache_dir;

		@unlink( $cache_dir . '/' . @md5( $cache_srv['prefix'] . $name ) );
		return true;
	}

?>